Package org.springframework.context.annotation

# Interface ConfigurationCondition

All Superinterfaces:
  `Condition`

public interface ConfigurationCondition extends Condition
A `Condition` that offers more fine-grained control when used with `@Configuration`. Allows certain conditions to adapt when they match based on the configuration phase. For example, a condition that checks if a bean has already been registered might choose to only be evaluated during the `REGISTER_BEAN` `ConfigurationCondition.ConfigurationPhase`.

Since:
  4.0
Author:
  Phillip Webb
See Also:
  - `Configuration`

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`ConfigurationCondition.ConfigurationPhase`
The various configuration phases where the condition could be evaluated.

## Method Summary

Modifier and Type
Method
Description
`ConfigurationCondition.ConfigurationPhase`
`getConfigurationPhase()`
Return the `ConfigurationCondition.ConfigurationPhase` in which the condition should be evaluated.

### Methods inherited from interface org.springframework.context.annotation.Condition

`matches`

## Method Details

### getConfigurationPhase

ConfigurationCondition.ConfigurationPhase getConfigurationPhase()
Return the `ConfigurationCondition.ConfigurationPhase` in which the condition should be evaluated.